.product-line {
  border-bottom: 1px solid #999;
  display: flex;
  justify-content: center;
  align-items: center;
}
.model {
  width: 100%;
  position: relative;
  z-index: 1;
  display: flex;
  padding: 0;
  gap: 10px;
  max-width: 640px;
  margin-bottom: 30px;
}
.model .mode {
  width: 100%;
  height: 60px;
  background: #ffeec7;
  position: relative;
  z-index: 1;
  border-radius: 8px;
  cursor: pointer;
}
.model .mode-sub {
  position: absolute;
  bottom: -30%;
  z-index: 1;
  color: #FFF;
  border-radius: 8px;
  padding: 2px;
  font-size: 14px;
  font-weight: 500;
  left: 50%;
  transform: translateX(-50%);
  white-space: nowrap;
}
.model .picmg {
  width: 65%;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  transition: all 0.3s;
}
.model p {
  background-color: var(--nav-color);
  position: relative;
  z-index: 1;
  padding: 8px 20px;
  border-radius: 6px;
  color: #ffffff;
  font-weight: 700;
  pointer-events: none;
}
.model .active .shine:after {
  opacity: 1;
  animation: rotation_481 5s infinite linear;
}
.model .active .picmg {
  width: 75%;
}
.shine {
  overflow: hidden;
  position: relative;
  --shine-color: #ffa400;
  z-index: 1;
}
.shine:after {
  position: absolute;
  content: ' ';
  display: block;
  width: 25%;
  height: 500%;
  background: linear-gradient(90deg, transparent, var(--shine-color), var(--shine-color), var(--shine-color), var(--shine-color), transparent);
  z-index: 0;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: all 0.3s;
}
@keyframes rotation_481 {
  0% {
    transform: translate(-50%, -50%) rotateZ(0deg);
  }
  0% {
    transform: translate(-50%, -50%) rotateZ(360deg);
  }
}
.product-item {
  /* transform: scale(0.9);
    opacity: 0; */
  padding: 0;
  transition: all 0.3s ease-in-out;
  /* border-bottom: 1.5px solid #f2f2f2; */
  border: 1px solid transparent;
  padding: 60px;
  border-radius: 10px;
  background: #FFF;
  /*  &.product-item-show , &:first-child , &:nth-child(2),&:nth-child(3),&:nth-child(4){
        transform: scale(1);
        opacity: 1;
        .free-inner {
            animation: free 2s 0.6s cubic-bezier(0.4, 0, 0, 1.6) forwards;
            @keyframes free {
                0%{
                    transform: rotateY(0deg) translateY(0px);
                }
                50%{
                    transform: rotateY(180deg) translateY(-4px);
                }
                100%{
                    transform: rotateY(180deg) translateY(0px);
                }
            }
            
        }
        .btn{
            color: #fff !important;
            background-color: #ffe3b1 !important;
            z-index: 2;
            &:before {
                width: 50% !important;
                left: 50% !important
            }
            &:after {
                width: 50% !important;
                right: 50% !important;
            }
        }
    } */
}
.product-item .card {
  border: none;
  /* padding: 0 20px 0 0; */
  display: flex;
  flex-direction: row;
  gap: 60px;
  border-radius: 0;
  background: none;
  position: relative;
}
.product-item .card .card-img {
  /* flex: 1; */
  width: 440px;
}
.product-item .card .glogo {
  position: absolute;
  left: 0;
  top: 0;
  width: 8%;
}
.product-item .card .card-body {
  flex: 1.3;
  padding: 0;
}
.product-item .card .card-body .title {
  font-size: 24px;
  margin-bottom: 10px;
  font-weight: 700;
}
.product-item .card .card-body .info-sec .sub-title {
  color: #999;
  font-size: 14px;
  font-weight: 500;
  margin: 0;
}
@media (max-width: 768px) {
  .product-item .card .card-body .info-sec .sub-title {
    font-size: 11px;
  }
}
.product-item .card .card-body .info-sec .sub-title .sub-name {
  color: #333;
  margin-right: 4px;
}
.product-item .card .card-body .price-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.product-item .card .card-body .price-box .price-sec {
  display: flex;
  align-items: baseline;
  gap: 4px;
  line-height: 1;
  margin: 20px 0;
}
@media (max-width: 768px) {
  .product-item .card .card-body .price-box .price-sec {
    margin: 6px 0;
  }
}
.product-item .card .card-body .price-box .price-sec .product-price-del {
  font-size: 13px;
  font-weight: 500;
  color: #999;
  margin-top: 10px;
}
@media (max-width: 768px) {
  .product-item .card .card-body .price-box .price-sec .product-price-del {
    font-size: 10px;
    font-weight: 700;
  }
}
.product-item .card .card-body .price-box .price-sec .product-price-del del {
  text-decoration-thickness: 1px;
}
.product-item .card .card-body .price-box .price-sec .product-price {
  font-size: 20px;
  font-weight: 700;
  color: #dc2424;
}
@media (max-width: 768px) {
  .product-item .card .card-body .price-box .price-sec .product-price {
    font-size: 16px;
  }
}
.product-item .card .card-body .price-box .price-sec .product-price .twd {
  font-size: 12px;
  margin-right: 4px;
}
@media (max-width: 768px) {
  .product-item .card .card-body .price-box .price-sec .product-price .twd {
    font-size: 9px;
    margin-right: 2px;
  }
}
.product-item .card .card-body .price-box .free {
  width: 60px;
  height: 20px;
  perspective: 1000px;
  margin-left: 6px;
}
@media (max-width: 768px) {
  .product-item .card .card-body .price-box .free {
    width: 52px;
    height: 16px;
  }
}
.product-item .card .card-body .price-box .free .free-inner {
  width: 100%;
  height: 100%;
  position: relative;
  transform-style: preserve-3d;
  transition: transform 1s 1s ease;
}
.product-item .card .card-body .price-box .free .free-inner .free-front,
.product-item .card .card-body .price-box .free .free-inner .free-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  display: flex;
  align-items: center;
  border-radius: 4px;
  justify-content: center;
  font-size: 12px;
  margin: 0;
  font-weight: 700;
  line-height: 0;
  padding-top: 1px;
}
@media (max-width: 768px) {
  .product-item .card .card-body .price-box .free .free-inner .free-front,
  .product-item .card .card-body .price-box .free .free-inner .free-back {
    font-size: 10px;
  }
}
.product-item .card .card-body .price-box .free .free-inner .free-front {
  background-color: #fff4c9;
  color: var(--main-color);
  /* border: 1px solid var(--main-color); */
  transform: rotateY(0deg);
}
.product-item .card .card-body .price-box .free .free-inner .free-back {
  background-color: #dc2424;
  color: #fff;
  /* border: 1px solid #dc2424; */
  transform: rotateY(180deg);
}
.product-item .card .card-body .price-box .free .no-free {
  font-size: 12px;
  font-weight: 700;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 20px;
  background-color: #fff4c9;
  color: var(--main-color);
  line-height: 0;
  border-radius: 4px;
  padding-top: 1px;
}
@media (max-width: 768px) {
  .product-item .card .card-body .price-box .free .no-free {
    font-size: 10px;
    height: 16px;
  }
}
.product-item .card .card-body .btn {
  background-color: #98ecae;
  color: #FFF;
  border-radius: 6px;
  padding: 12px 0;
  font-size: 16px;
  font-weight: 700;
  line-height: 1;
  border: none;
  transition: all 0.2s;
  position: relative;
  width: 100%;
  display: block;
  text-align: center;
}
@media (max-width: 768px) {
  .product-item .card .card-body .btn {
    font-size: 14px;
  }
}
.product-item .card .card-body .btn:before,
.product-item .card .card-body .btn:after {
  content: "";
  position: absolute;
  top: 50%;
  background-color: var(--nav-color);
  height: 110%;
  width: 0;
  z-index: -1;
  transition: all 0.7s 1.2s;
  transform: translateY(-50%);
}
.product-item .card .card-body .btn:before {
  left: 0%;
  border-radius: 0 6px 6px 0;
}
.product-item .card .card-body .btn:after {
  right: 0%;
  border-radius: 6px 0 0 6px;
}
.product-item .card.card-show .free-inner {
  animation: free 2s 0.6s cubic-bezier(0.4, 0, 0, 1.6) forwards;
}
@keyframes free {
  0% {
    transform: rotateY(0deg) translateY(0px);
  }
  50% {
    transform: rotateY(180deg) translateY(-4px);
  }
  100% {
    transform: rotateY(180deg) translateY(0px);
  }
}
.product-item .card.card-show .btn {
  /* color: #fff !important;
                background-color: #ffe3b1 !important; */
  z-index: 2;
}
.product-item .card.card-show .btn:before {
  width: 50% !important;
  left: 50% !important;
}
.product-item .card.card-show .btn:after {
  width: 50% !important;
  right: 50% !important;
}
.product-item .ensure-sec .ensure {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  margin-top: 40px;
}
.product-item .ensure-sec .ensure .ensure-item {
  place-self: center;
  display: flex;
  align-items: center;
  font-size: 12px;
  line-height: 1;
  font-weight: 700;
  color: #333;
}
@media (max-width: 768px) {
  .product-item .ensure-sec .ensure .ensure-item {
    font-size: 11px;
  }
}
.product-item .ensure-sec .ensure .ensure-item .righticon {
  width: 14px;
  height: 14px;
  flex-shrink: 0;
  margin-right: 3px;
}
.product-item .ensure-sec .secret {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  margin-top: 6px;
  background-color: #fff4c9;
  padding: 6px 10px;
  border-radius: 4px;
}
.product-item .ensure-sec .secret p {
  font-size: 12px;
  font-weight: 500;
  color: #000;
}
@media (max-width: 768px) {
  .product-item .ensure-sec .secret p {
    font-size: 11px;
  }
}
.product-item .ensure-sec .secret p strong {
  text-decoration: underline;
  text-decoration-thickness: 3px;
  text-decoration-color: #ffa127;
  font-weight: 700;
}
.product-item .ensure-sec .secret .secret-left {
  display: flex;
  align-items: center;
}
.product-item .ensure-sec .secret .secret-left .secreticon {
  display: block;
  width: 16px;
  height: 16px;
  margin-right: 6px;
  transform-origin: bottom;
  animation: l20 1s infinite cubic-bezier(0.5, 120, 0.5, -120);
}
@keyframes l20 {
  0% {
    transform: translateY(-1px);
  }
  30%,
  70% {
    transform: translateY(-1px) rotate(0deg);
  }
  49.99% {
    transform: translateY(-1px) rotate(0.2deg);
  }
  50% {
    transform: translateY(-1px) rotate(-0.2deg);
  }
  100% {
    transform: translateY(-1px);
  }
}
